| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::TleRec Class Reference

Class for containing data structure for Two Line Elements. More...

List of all members.

## Public Member Functions
| TleRec ()
| Empty constructor.
| TleRec (string noradSatCat, long satNumber, char classification, string intDes, double time, double nlst, double n2nd, double bstar, int ephemerisType, int index, int checksum1, double i, double ra, double e, double w, double m, double n, long absOrbit, int checksum2)
| Constructor with parameters.
| ~TleRec ()
| Destructor.
## Public Attributes
string | noradSatcat
| Satellite name consistent with the NORAD SATCAT.
long | satNumber
| NORAD Catalogue number.
char | classification
| Classification: U=unclassified, S=secret data.
string | intDes
double | time
| reference time for the element set (UTC processing days MJ2000).
double | n1st
| First Time Derivative of the Mean Motion.
double | n2nd
| Second Time Derivative of Mean Motion.
double | bstar
| BSTAR drag term .
int | ephemerisType
| Ephemeris type.
int | index
| Element number.
int | checksum1
double | i
| Inclination [Degrees].
double | ra
| Right Ascension of the Ascending Node [Degrees].
double | e
| Eccentricity.
double | w
| Argument of Perigee [Degrees].
double | m
| Mean Anomaly [Degrees].
double | n
| Mean Motion [Revs per day].
long | absOrbit
| Revolution number at epoch [Revs].
int | checksum2

## Detailed Description

Class for containing data structure for Two Line Elements.

## Constructor & Destructor Documentation

EECFI::TleRec::TleRec | ( |  | ) |

Empty constructor.

References absOrbit, bstar, checksum1, checksum2, classification, e, ephemerisType, i, index, intDes, m, n, n1st, n2nd, noradSatcat, ra, satNumber, time, and w.

EECFI::TleRec::TleRec | ( | string | noradSatCat,
|  | long | satNumber,
|  | char | classification,
|  | string | intDes,
|  | double | time,
|  | double | nlst,
|  | double | n2nd,
|  | double | bstar,
|  | int | ephemerisType,
|  | int | index,
|  | int | checksum1,
|  | double | i,
|  | double | ra,
|  | double | e,
|  | double | w,
|  | double | m,
|  | double | n,
|  | long | absOrbit,
|  | int | checksum2 |
| ) |  |  |

Constructor with parameters.

EECFI::TleRec::~TleRec | ( |  | ) |

Destructor.

## Member Data Documentation

long EECFI::TleRec::absOrbit

Revolution number at epoch [Revs].

Referenced by TleRec().

double EECFI::TleRec::bstar

BSTAR drag term .

Referenced by TleRec().

int EECFI::TleRec::checksum1

Checksum (Modulo 10) (Letters, blanks, periods, plus signs = 0 minus signs = 1).

Referenced by TleRec().

int EECFI::TleRec::checksum2

Checksum (Modulo 10) (Letters, blanks, periods, plus signs = 0 minus signs = 1).

Referenced by TleRec().

char EECFI::TleRec::classification

Classification: U=unclassified, S=secret data.

Referenced by TleRec().

double EECFI::TleRec::e

Eccentricity.

Referenced by TleRec().

int EECFI::TleRec::ephemerisType

Ephemeris type.

Referenced by TleRec().

double EECFI::TleRec::i

Inclination [Degrees].

Referenced by TleRec().

int EECFI::TleRec::index

Element number.

Referenced by TleRec().

string EECFI::TleRec::intDes

International Designator: (Last two digits of launch year) (Launch number of the year) (Piece of the launch).

Referenced by TleRec().

double EECFI::TleRec::m

Mean Anomaly [Degrees].

Referenced by TleRec().

double EECFI::TleRec::n

Mean Motion [Revs per day].

Referenced by TleRec().

double EECFI::TleRec::n1st

First Time Derivative of the Mean Motion.

Referenced by TleRec().

double EECFI::TleRec::n2nd

Second Time Derivative of Mean Motion.

Referenced by TleRec().

string EECFI::TleRec::noradSatcat

Satellite name consistent with the NORAD SATCAT.

Referenced by TleRec().

double EECFI::TleRec::ra

Right Ascension of the Ascending Node [Degrees].

Referenced by TleRec().

long EECFI::TleRec::satNumber

NORAD Catalogue number.

Referenced by TleRec().

double EECFI::TleRec::time

reference time for the element set (UTC processing days MJ2000).

Referenced by TleRec().

double EECFI::TleRec::w

Argument of Perigee [Degrees].

Referenced by TleRec().